{% extends 'base.html.twig' %}

{% block title %}Club Football{% endblock %}

{% block body %}
<div class="container">
<h1>Liste de joueurs du Club <span id="club_id">{{club_id}}</span> </h1>
<form action="">
  <div class="form-row align-items-center">
    <div class="col-auto my-1">
      <label class="mr-sm-2" for="inlineFormCustomSelect">Saison</label>
      <select class="custom-select mr-sm-2" id="saison_select">
        <option selected>Choisir...</option>
        {% for saison in saisons %}
        <option value="{{saison.annee_debut}} - {{saison.annee_fin}}">{{saison.annee_debut}} - {{saison.annee_fin}}  </option>
        {% endfor %}
      </select>
    </div>
  </div>
</form>

<table class="table" id="table_clubs">
  <thead>
    <tr>
      <th scope="col">Identifiant</th>
      <th scope="col">Nom</th>
      <th scope="col">Prènom</th>
    </tr>
  </thead>
  <tbody id="joueurs">
  {% for joueur in joueurs %}
    <tr>
      <th scope="row"><a href="{{ path('show_clubs_player', {'id': joueur.id}) }}">{{ joueur.id }}</a></th>
      <td>{{ joueur.nom }}</td>
      <td>{{ joueur.prenom }}</td>
    </tr>
    {% endfor %}
  </tbody>
</table>
</div>
{% endblock %}

{% block javascripts %}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script>
        $('#saison_select').change(function () {
            let saisonSelector = $(this).val();
            let annee_debut=saisonSelector.slice(0, 4);
            let annee_fin=saisonSelector.slice(7, 11);
            let club_id=$('#club_id').html();
            
            // Request the players of the selected saison.
            $.ajax({
                url: "{{ path('saison_list_joueurs_club') }}",
                type: "POST",
                dataType: "JSON",
                data: {
                    annee_debut: annee_debut,
                    annee_fin:annee_fin,
                    club_id:club_id
                },
                success: function (joueurs) {
                    let joueursRows = $("#joueurs");

                    // Remove current data
                    joueursRows.html('');                    
                    
                    $.each(joueurs, function (key, joueur) {
                        let href="<a href='/joueur/"+joueur.id+"'>";
                        let prenomColumn="<td>"+joueur.prenom+"</td></tr>";
                        joueursRows.append(' <tr><th scope="row">'+href+joueur.id+'</a></th><td>'+joueur.nom+'</td>'+prenomColumn);
               
                    });
                },
                
                error: function (err) {
                    alert("An error ocurred while loading data ...");
                }
            });
        });
    </script>
{% endblock %}